package com.loh.dao;

import com.loh.model.WorkOrder;
import com.loh.model.WorkOrderExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface WorkOrderMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    long countByExample(WorkOrderExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    int deleteByExample(WorkOrderExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    int insert(WorkOrder record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    int insertSelective(WorkOrder record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    List<WorkOrder> selectByExample(WorkOrderExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    WorkOrder selectByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    int updateByExampleSelective(@Param("record") WorkOrder record, @Param("example") WorkOrderExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    int updateByExample(@Param("record") WorkOrder record, @Param("example") WorkOrderExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    int updateByPrimaryKeySelective(WorkOrder record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_order
     *
     * @mbg.generated
     */
    int updateByPrimaryKey(WorkOrder record);
}